Bug 1010341 - Freetype clips emboldened fonts
Freetype clips emboldened fonts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freetype (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Marek Kašík
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 10:49 EDT by Marek Kašík
Modified: 2014-06-18 00:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: freetype-2.4.11-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:36:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Kašík 2013-09-20 10:49:25 EDT
Description of problem:
Freetype computes wrong vertical size of emboldened fonts. Consequently, it clips bold characters.


Version-Release number of selected component (if applicable):
freetype-2.4.11-6.el7


Steps to Reproduce:
1. ensure that you have vlgothic fonts installed
2. pango-view --font 'VL Gothic Bold 300' --text 6 --annotate=1


Actual results:
Shown character has wrong bounding box.


Expected results:
Shown character has correct bounding box.


Additional info:
Reported here:  https://bugzilla.gnome.org/show_bug.cgi?id=686709
Fixed here:     http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=31e726d939e7b79506d11164d259c9789e429761
Comment 4 Ludek Smid 2014-06-13 05:36:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.